// Fichero de definiciones de funciones para CADENAS
#ifndef CADENA_H
#define CADENA_H
#define MAXCAR 100

#include "defs.h"

typedef struct {
    char contenido[MAXCAR];
    unsigned char posicion;
    unsigned char longitud;
}CADENA;

CADENA crear_cadena1();
CADENA crear_cadena2(char *);
CADENA copiar_cadena(CADENA);
CADENA concatenar_cadenas1(CADENA,CADENA);
CADENA concatenar_cadenas2(char *,char *);
short comparar_cadenas(CADENA,CADENA);
CADENA anadir_caracter_cadena(CADENA,char);
CADENA eliminar_caracter_cadena(CADENA);
CADENA num2cad(int);
void rtrim(char *);
void minusculas(char *);

#endif
