// defs.h

#ifndef _DEFS_H
#define _DEFS_H

#define CIERTO (0==0)
#define FALSO !CIERTO

#define NEGRO makecol(0,0,0)
#define BLANCO makecol(255,255,255)
#define GRIS1 makecol(51,51,51)
#define GRIS2 makecol(102,102,102)
#define GRIS3 makecol(153,153,153)
#define GRIS4 makecol(204,204,204)
#define TRANS makecol(255,0,255)
#define ROJO1 makecol(192,0,0)
#define AZUL1 makecol(0,0,192)

#define FALLO 0
#define GAMEOVER 1
#define ESCAPE 2
#define CORRECTO 3
#define FIN 4

#define MAX_VOLUMEN 255
#define MAX_MVL 100

typedef short LOGICO;

typedef enum { ALTA, BAJA } RESOLUCIONES;
typedef enum {	NORMAL, SCANLINES, DOBLADO } VOLCADOS;
typedef enum { ESPANOL, INGLES, FRANCES, ITALIANO, ALEMAN } IDIOMAS;

typedef struct {
    RESOLUCIONES resolucion;
    VOLCADOS volcado;
    LOGICO audio;
    int v_musica;
    int v_digital;
    IDIOMAS idioma;
    int windowed;
} CONFIGURACIONES;

CONFIGURACIONES config;



#endif
