#ifndef _JUEGO_H_
#define _JUEGO_H_

#include "defs.h"

typedef struct {
    int x,y;
    short frame;
    LOGICO cayendo;
    LOGICO saltando;
    LOGICO sobre_plataforma;
    short contador_salto;
    short contador_caida;
    LOGICO salto_largo;
    LOGICO mira_izda;
    unsigned char vidas;
    short energia;
    unsigned char n_palancas;
    short etoy_muelto;
}JUGADOR;

typedef struct {
    int x,y,mx,my,frame,ctbls;
}SIMPLE;

typedef struct {
    short x,y;
    short mx,my;
    short id;
    short frame;
    short subframe;
    short ini_x, ini_y, fin_x, fin_y;
}ENEMIGO;

typedef struct {
    unsigned char n;
    LOGICO on;
    short x,y;

}OBJ;

#endif
