// WOPRDIR.C

#include <io.h>   // Change by na_th_an :: MSVC

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "woprdir.h"

unsigned int cuenta_numero_de_archivos(char *mascara) {
    //struct ffblk f;

    struct _finddata_t f;
    long hfile;

    unsigned int contador=0;
    int acabado = 0;

    hfile = _findfirst(mascara, &f);

    if (hfile == -1L)
        acabado = 1;

    while (!acabado) {
        contador++;
        if (_findnext(hfile, &f) != 0)
            acabado = 1;
    }

    return(contador);
}

void carga_directorio(char *mascara,ESTRUCTURA_LISTA_ARCHIVOS *ela) {
    // struct ffblk f;
    struct _finddata_t f;
    long hfile;

    int acabado = 0;
    int pos = 0;
    ESTRUCTURA_ARCHIVO aux;
    int i,j,k;

    ela->numero_archivos=cuenta_numero_de_archivos(mascara);

    // Reservamos espacio para los archivos

    ela->archivos=(ESTRUCTURA_ARCHIVO *)\
                  malloc(ela->numero_archivos*\
                         sizeof(ESTRUCTURA_ARCHIVO));

    hfile = _findfirst(mascara, &f);

    if (hfile == -1L)
        acabado = 1;

    while (!acabado) {
        if (pos<ela->numero_archivos) {
            sprintf(ela->archivos[pos].nombre_archivo,"%s",strupr(f.name));
            //ela->archivos[pos].longitud_archivo=f.ff_fsize;
            pos++;
        }

        if (_findnext(hfile, &f) != 0)
            acabado = 1;
    }

    // Vamos a ordenarlos:

    for (i = 0; i < ela->numero_archivos-1; i++) {
        sprintf(aux.nombre_archivo,"%s",ela->archivos[i].nombre_archivo);
        k = i;
        for (j = i + 1; j < ela->numero_archivos; j++) {
            if (strcmp(ela->archivos[j].nombre_archivo,aux.nombre_archivo)<0) {
                sprintf(aux.nombre_archivo,"%s",ela->archivos[j].nombre_archivo);
                k=j;
            }
        }

        if (k != i) {
            sprintf(ela->archivos[k].nombre_archivo,"%s",ela->archivos[i].nombre_archivo);
            sprintf(ela->archivos[i].nombre_archivo,"%s",aux.nombre_archivo);
        }
    }
}

void libera_directorio(ESTRUCTURA_LISTA_ARCHIVOS ela) {
    free(ela.archivos);
}
