// WOPRDIR.H
#ifndef _WOPRDIR_H_
#define _WOPRDIR_H_

/* En esta estructura se almacenan los datos de un archivo. En principio
   slo nos interesa el nombre y el tamao, pero se pueden ampliar los
	campos. */

typedef struct {
    char nombre_archivo[260];
    unsigned long longitud_archivo;
}ESTRUCTURA_ARCHIVO;

/* Esta estructura es para almacenar una lista de archivos, y contiene
   un contador con el tamao de la lista. */

typedef struct {
    ESTRUCTURA_ARCHIVO *archivos;
    unsigned int numero_archivos;
}ESTRUCTURA_LISTA_ARCHIVOS;

unsigned int cuenta_numero_de_archivos(char *);
void carga_directorio(char *,ESTRUCTURA_LISTA_ARCHIVOS *);
void libera_directorio(ESTRUCTURA_LISTA_ARCHIVOS);

#endif
