#include <string.h>
#include "defs.h"
#include "clave.h"

char zicha[16]={'B', 'Z', 'X', 'P',
                'O', 'I', 'H', 'K',
                'V', 'S', 'D', 'W',
                'M', 'Q', 'E', 'A'
               };

char *CLAVE_genera_clave(char level, char fase) {
    char password[5];

    password[0]=zicha[level*4+rand()%4];
    password[1]=zicha[fase*2+rand()%2];
    password[2]=zicha[level+fase];
    password[3]=zicha[2*fase];

    password[4]=0;

    return strdup(password);
}

short busca_indice(char c) {
    LOGICO encontrado=0;
    int resultado=-1;
    int i;

    for (i=0;i<16 && !encontrado;i++)
        if (zicha[i]==c) {
            resultado=i;
            encontrado=CIERTO;
        }
    return(resultado);
}

short CLAVE_decodifica_clave(char *password) {
    /*
    short level;
    short fase;

    short clave1, clave2;

    level=busca_indice(password[0])/4;
    fase=busca_indice(password[1])/2;

    clave1=busca_indice(password[2]);
    clave2=busca_indice(password[3]);

    if(clave1!=level+fase)
    	return 0;

    if(clave2!=2*fase)
    	return 0;

    return 8*level+fase;
    */
    // Esto de arriba tiene ms sentido en Phantomasa.
    // Aqu devolvemos de 2 a 8 dependiendo de la clave textual usada

    if (!strcmp(password,"ZEUS"))
        return 2;
    else if (!strcmp(password,"DAME"))
        return 3;
    else if (!strcmp(password,"WHIZ"))
        return 4;
    else if (!strcmp(password,"SHAZ"))
        return 5;
    else if (!strcmp(password,"ANKH"))
        return 6;
    else if (!strcmp(password,"BOMB"))
        return 7;
    else if (!strcmp(password,"POIH"))
        return 8;
    else
        return 0;
}
