#include "cadena.h"

#define NENEM 25
#define NPLAT 25

typedef struct {
    CADENA nombre;
    char pin_x, pin_y, ini_x, ini_y, pfi_x, pfi_y, fin_x, fin_y;
} CABECERA;

typedef struct {
    short tile1;
    short tile2;
    char status;
} TILE;

typedef struct {
    char ini_x, ini_y, fin_x, fin_y, vel, id;
} MOVIL;

typedef struct {
    char idfondo;
    char nenem;
    MOVIL enemigos[NENEM];
    char nplat;
    MOVIL plataformas[NPLAT];
    TILE tiles[9][15];
} PANTALLA;

typedef struct {
    char xp, yp, x, y;
} OBJETO;

typedef PANTALLA MAPA[25];
typedef OBJETO PALANCAS[25];
typedef OBJETO ENERGIAS[25];
