//#define ALLEGRO_STATICLINK

// menu.c

#include <string.h>
#include <stdio.h>
#include <math.h>
#include <ctype.h>

#include <fmod.h>
#include <allegro.h>
#include <jpgalleg.h>
#include <fblend.h>

#include "defs.h"
#include "motor.h"
#include "texto.h"
#include "menu.h"
#include "temporizadores.h"
#include "clave.h"
#include "woprdir.h"

//#define M_PI 3.141516915

short senos1[50], senos2[20];
int r[6],g[6],b[6];
int ROSA;
int last_key_pressed = 0;

//JGMOD *musica;
FMUSIC_MODULE *musica;

int my_max(int a, int b) {
    if (a<=b)
        return b;
    else
        return a;
}

int my_min(int a, int b) {
    if (a>=b)
        return b;
    else
        return a;
}

void tapa_botones() {
    BITMAP *patron=create_bitmap(2,2);

    putpixel(patron,0,0,makecol(255,0,255));
    putpixel(patron,1,1,makecol(255,0,255));
    putpixel(patron,0,1,GRIS2);
    putpixel(patron,1,0,GRIS2);

    drawing_mode(DRAW_MODE_MASKED_PATTERN, patron, 0,0);

    rectfill(screen,519,488,799,599,GRIS3);

    drawing_mode(DRAW_MODE_SOLID,patron,0,0);
}

void efecto_letras(int contador1, int contador2, BITMAP *fondo, BITMAP *letras, BITMAP *espejo, BITMAP *pantalla) {
    
	int i;
    int cc;
    BITMAP *buffer=create_bitmap(640,200);

    blit(fondo,pantalla,0,0,0,0,640,480);
/*
    clear_to_color(espejo,ROSA);

    for (i=0;i<193;i++) {
        cc=contador1+i;
        while (cc>=50) {
            cc-=50;
        }
        blit(letras,espejo,0,i,senos1[cc],193-i,640,1);
    }

    clear_to_color(buffer,ROSA);
    stretch_blit(espejo,buffer,0,0,640,193,0,0,640,193+senos2[contador2]);

    draw_trans_sprite(pantalla,buffer,0,110);
//	masked_blit(buffer,pantalla,0,0,0,153,640,200);
//	masked_blit(letras,pantalla,0,0,0,0,640,193);
*/
    destroy_bitmap(buffer);
    
}

void efecto_letras_baja(int contador1, int contador2, BITMAP *fondo, BITMAP *letras, BITMAP *espejo, BITMAP *pantalla) {
    int i;
    int cc;
    BITMAP *buffer=create_bitmap(320,80);

    blit(fondo,pantalla,0,0,0,0,320,200);

    clear_to_color(espejo,ROSA);

    for (i=0;i< 72;i++) {
        cc=contador1+i;
        while (cc>=50) {
            cc-=50;
        }
        blit(letras,espejo,0,i,senos1[cc], 72-i,320,1);
    }

    clear_to_color(buffer,ROSA);
    stretch_blit(espejo,buffer,0,0,320, 72,0,0,320, 72+senos2[contador2]);

    draw_trans_sprite(pantalla,buffer,0,64);
    //masked_blit(letras,pantalla,0,0,0,0,320,72);

    destroy_bitmap(buffer);
}

void dibuja_esquina(BITMAP *pantalla,int x, int y, int n, LOGICO s) {
    char esquina[5][5]={{0,0,1,1,1},{0,1,2,2,2},{1,2,2,3,3},{1,2,3,4,4},{1,2,3,4,5}};
    int i,j;

    for (i=0;i<5;i++)
        for (j=0;j<5;j++) {
            if (esquina[i][j]!=0)
                switch (n) {
                case 1:
                    putpixel(pantalla,x+j,y+i,makecol(r[esquina[i][j]],g[esquina[i][j]],b[esquina[i][j]]));
                    break;
                case 2:
                    putpixel(pantalla,x+(4-j),y+i,makecol(r[esquina[i][j]],g[esquina[i][j]],b[esquina[i][j]]));
                    break;
                case 3:
                    putpixel(pantalla,x+j,y+(4-i),makecol(r[esquina[i][j]],g[esquina[i][j]],b[esquina[i][j]]));
                    break;
                case 4:
                    putpixel(pantalla,x+(4-j),y+(4-i),makecol(r[esquina[i][j]],g[esquina[i][j]],b[esquina[i][j]]));
                    break;
                }
        }
}

void pinta_rectangulo(BITMAP *puntero, short x1, short y1, short x2, short y2,short s) {
    int i;

    if (s==1) {
        r[1] = g[1] = 128;
        b[1] = 255;
        r[2] = g[2] = 192;
        b[2] = 255;
        r[3] = g[3] = 255;
        b[3] = 255;
        r[4] = g[4] = 192;
        b[4] = 255;
        r[5] = g[5] = 128;
        b[5] = 255;
    } else if (s==0) {
        r[1] = g[1] =  64;
        b[1] = 128;
        r[2] = g[2] =  96;
        b[2] = 128;
        r[3] = g[3] = 128;
        b[3] = 128;
        r[4] = g[4] =  96;
        b[4] = 128;
        r[5] = g[5] =  64;
        b[5] = 128;
    }

	/*
    drawing_mode(DRAW_MODE_TRANS,NULL,0,0);
    rectfill(puntero,x1+5,y1+5,x2-5,y2-5,makecol(0,0,0));
    drawing_mode(DRAW_MODE_SOLID,NULL,0,0);
	*/
	
	// Lo he cambiado por fblend para que vaya ms rpido y 
	// poder oscurecerlo un poquino.
	
	fblend_rect_trans (puntero, x1+5,y1+5,x2-5-(x1+5),y2-5-(y1+5), 0, 128);
	
    if (s!=2) {
        for (i=0;i<5;i++) {
            vline(puntero,x1+i,y1+5,y2-5,makecol(r[i+1],g[i+1],b[i+1]));
            vline(puntero,x2-i,y1+5,y2-5,makecol(r[i+1],g[i+1],b[i+1]));
            hline(puntero,x1+5,y1+i,x2-5,makecol(r[i+1],g[i+1],b[i+1]));
            hline(puntero,x1+5,y2-i,x2-5,makecol(r[i+1],g[i+1],b[i+1]));
        }
        dibuja_esquina(puntero,x1,y1,1,s);
        dibuja_esquina(puntero,x2-4,y1,2,s);
        dibuja_esquina(puntero,x1,y2-4,3,s);
        dibuja_esquina(puntero,x2-4,y2-4,4,s);
    }
}

void pinta_potenciometro(BITMAP *pantalla, short x, short y, short valor, short my_max, BITMAP *sprites []) {
    int n,i,j;

    n=(valor<<4)/my_max;
    n=(n>>3)*72+(n%8)*3;

    for (i=0;i<3;i++)
        for (j=0;j<3;j++)
            draw_sprite(pantalla,sprites[n+i*24+j],x+(j<<4),y+(i<<4));

}

void submenu_config(int *c1, int *c2, BITMAP *fondo [], BITMAP *letras [], BITMAP *espejo[], BITMAP *pantalla[], BITMAP *sprites[],FSOUND_SAMPLE *samp,FSOUND_SAMPLE *go,FSOUND_SAMPLE *back) {
    FILE *pf;
    LOGICO terminado=FALSO,huboCambios=FALSO;
    int co1,co2;
    int i;
    int opcion=0;
    char textos[14][50];
    short posx[14];

    sprintf(textos[6],"ESPAnOL");
    sprintf(textos[7],"ENGLISH");
    sprintf(textos[8],"FRANCAIS");
    sprintf(textos[9],"ITALIANO");
    sprintf(textos[10],"DEUTSCH");

    if (config.resolucion==ALTA)
        switch (config.idioma) {
        case ESPANOL:
            sprintf(textos[0],"CONFIGURACION");
            sprintf(textos[1],"VENTANA");
            sprintf(textos[2],"SI");
            sprintf(textos[3],"NO");
            sprintf(textos[4],"VOLCADO");
            sprintf(textos[5],"IDIOMA");
            sprintf(textos[11],"EFECTOS");
            sprintf(textos[12],"MUSICA");
            sprintf(textos[13],"W-VENTANA  F-PANTALLA COMPLETA");
            break;
        case INGLES:
            sprintf(textos[0],"SET UP");
            sprintf(textos[1],"WINDOWED");
            sprintf(textos[2],"YES");
            sprintf(textos[3],"NO");
            sprintf(textos[4],"RENDER");
            sprintf(textos[5],"LANGUAGE");
            sprintf(textos[11],"SFX");
            sprintf(textos[12],"MUSIC");
            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
            break;
        case FRANCES:
            sprintf(textos[0],"CONFIGURER");
            sprintf(textos[1],"WINDOWED");
            sprintf(textos[2],"OUI");
            sprintf(textos[3],"NON");
            sprintf(textos[4],"RENDER");
            sprintf(textos[5],"LANGUE");
            sprintf(textos[11],"SFX");
            sprintf(textos[12],"MUSIQUE");
            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
            break;
        case ITALIANO:
            sprintf(textos[0],"SET UP");
            sprintf(textos[1],"RESOLUTION");
            sprintf(textos[2],"SI");
            sprintf(textos[3],"NON");
            sprintf(textos[4],"RENDER");
            sprintf(textos[5],"LANGUAGE");
            sprintf(textos[11],"SFX");
            sprintf(textos[12],"MUSIC");
            sprintf(textos[13],"W-EN FINESTRA  F-COMPLETA");
            break;
        case ALEMAN:
            sprintf(textos[0],"KONGUGIEREN");
            sprintf(textos[1],"WINDOWED");
            sprintf(textos[2],"JA");
            sprintf(textos[3],"NEIN");
            sprintf(textos[4],"RENDER");
            sprintf(textos[5],"SPRACHE");
            sprintf(textos[11],"SFX");
            sprintf(textos[12],"MUSIK");
            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
            break;
        }
    else
        switch (config.idioma) {
        case ESPANOL:
            sprintf(textos[1],"RES");
            sprintf(textos[2],"ALT");
            sprintf(textos[3],"BAJ");
            sprintf(textos[5],"IDIOMA");
            sprintf(textos[11],"EFECTOS");
            sprintf(textos[12],"MUSICA");
            break;
        case INGLES:
            sprintf(textos[1],"RES");
            sprintf(textos[2],"HI");
            sprintf(textos[3],"LO");
            sprintf(textos[5],"LANGUAGE");
            sprintf(textos[11],"SFX");
            sprintf(textos[12],"MUSIC");
            break;
        case FRANCES:
            sprintf(textos[1],"RES");
            sprintf(textos[2],"HI");
            sprintf(textos[3],"LO");
            sprintf(textos[5],"LANGUE");
            sprintf(textos[11],"SFX");
            sprintf(textos[12],"MUSIQUE");
            break;
        case ITALIANO:
            sprintf(textos[1],"RES");
            sprintf(textos[2],"HI");
            sprintf(textos[3],"LO");
            sprintf(textos[5],"LANGUAGE");
            sprintf(textos[11],"SFX");
            sprintf(textos[12],"MUSIC");
            break;
        case ALEMAN:
            sprintf(textos[1],"ERG");
            sprintf(textos[2],"HO");
            sprintf(textos[3],"TI");
            sprintf(textos[5],"SPRACHE");
            sprintf(textos[11],"SFX");
            sprintf(textos[12],"MUSIK");
            break;
        }

    if (config.resolucion==ALTA) {
        posx[0]=320-(strlen(textos[0])<<3);
        posx[1]=230-(strlen(textos[1])<<3);
        posx[4]=230-(strlen(textos[4])<<3);
        posx[5]=230-(strlen(textos[5])<<3);
        posx[2]=401-(strlen(textos[2])<<3);
        posx[3]=490-(strlen(textos[3])<<3);
        posx[6]=445-(strlen(textos[6])<<3);
        posx[7]=445-(strlen(textos[7])<<3);
        posx[8]=445-(strlen(textos[8])<<3);
        posx[9]=445-(strlen(textos[9])<<3);
        posx[10]=445-(strlen(textos[10])<<3);
        posx[11]=122;
        posx[12]=122;
    } else {
        posx[1]=87-(strlen(textos[1])<<3);
        posx[5]=87-(strlen(textos[5])<<3);
        posx[2]=194-(strlen(textos[2])<<3);
        posx[3]=262-(strlen(textos[3])<<3);
        posx[6]=228-(strlen(textos[6])<<3);
        posx[7]=228-(strlen(textos[7])<<3);
        posx[8]=228-(strlen(textos[8])<<3);
        posx[9]=228-(strlen(textos[9])<<3);
        posx[10]=228-(strlen(textos[10])<<3);
        posx[11]=25;
        posx[12]=25;
    }

    co1=*c1;
    co2=*c2;

    contador_60Hz=0;

    while (!terminado) {
        if (config.resolucion==ALTA)
            efecto_letras(co1,co2,fondo[ALTA],letras[ALTA],espejo[ALTA],pantalla[ALTA]);
        else
            efecto_letras_baja(co1,co2,fondo[BAJA],letras[BAJA],espejo[BAJA],pantalla[BAJA]);

        if (config.resolucion==ALTA) {
            pinta_rectangulo(pantalla[ALTA],102,77,542,113,FALSO);
            pinta_rectangulo(pantalla[ALTA],102,118,542,402,FALSO);
            pinta_rectangulo(pantalla[ALTA],112,128,349,164,opcion==0);
            pinta_rectangulo(pantalla[ALTA],359,128,443,164,opcion==0 && config.windowed);
            pinta_rectangulo(pantalla[ALTA],448,128,532,164,opcion==0 && !config.windowed);
            pinta_rectangulo(pantalla[ALTA],112,169,349,205,opcion==1);
            pinta_rectangulo(pantalla[ALTA],359,169,443,205,opcion==1 && config.volcado==SCANLINES);
            pinta_rectangulo(pantalla[ALTA],448,169,532,205,opcion==1 && config.volcado==DOBLADO);
            pinta_rectangulo(pantalla[ALTA],112,210,349,246,opcion==2);
            pinta_rectangulo(pantalla[ALTA],359,210,532,246,opcion==2);
            pinta_rectangulo(pantalla[ALTA],112,251,532,319,opcion==3);
            pinta_rectangulo(pantalla[ALTA],112,324,532,392,opcion==4);
            /*
            pinta_rectangulo(pantalla[ALTA],
                             SCREEN_W/2 - strlen(textos[13]) * 8 - 10,
                             SCREEN_H - 68,
                             SCREEN_W/2 + strlen(textos[13]) * 8 + 10,
                             SCREEN_H - 32,
                             FALSO);
            */
            rectfill(pantalla[ALTA],364,175,438,199,BLANCO);
            rectfill(pantalla[ALTA],453,175,527,199,BLANCO);

            for (i=0;i<26;i+=2)
                hline(pantalla[ALTA],364,175+i,438,GRIS3);

            imprime_texto(pantalla[ALTA],posx[0],87,textos[0],sprites);
            imprime_texto(pantalla[ALTA],posx[1],138,textos[1],sprites);
            imprime_texto(pantalla[ALTA],posx[2],138,textos[2],sprites);
            imprime_texto(pantalla[ALTA],posx[3],138,textos[3],sprites);
            imprime_texto(pantalla[ALTA],posx[4],179,textos[4],sprites);
            imprime_texto(pantalla[ALTA],posx[5],220,textos[5],sprites);
            //imprime_texto(pantalla[ALTA], SCREEN_W/2 - strlen(textos[13]) * 8, SCREEN_H - 58, textos[13], sprites);

            switch (config.idioma) {
            case ESPANOL:
                imprime_texto(pantalla[ALTA],posx[6],220,textos[6],sprites);
                break;

            case INGLES:
                imprime_texto(pantalla[ALTA],posx[7],220,textos[7],sprites);
                break;

            case FRANCES:
                imprime_texto(pantalla[ALTA],posx[8],220,textos[8],sprites);
                break;

            case ITALIANO:
                imprime_texto(pantalla[ALTA],posx[9],220,textos[9],sprites);
                break;

            case ALEMAN:
                imprime_texto(pantalla[ALTA],posx[10],220,textos[10],sprites);
                break;
            }

            imprime_texto(pantalla[ALTA],posx[11],277,textos[11],sprites);
            imprime_texto(pantalla[ALTA],posx[12],350,textos[12],sprites);

            rectfill(pantalla[ALTA],423,261,470,309,GRIS3);
            rectfill(pantalla[ALTA],423,334,470,382,GRIS3);

            pinta_rectangulo(pantalla[ALTA],418,256,475,314,opcion==3);
            pinta_rectangulo(pantalla[ALTA],418,329,475,387,opcion==4);

            pinta_potenciometro(pantalla[ALTA],423,261,config.v_digital,MAX_VOLUMEN+1,sprites);
            pinta_potenciometro(pantalla[ALTA],423,334,config.v_musica,MAX_VOLUMEN+1,sprites);
        } else {
            pinta_rectangulo(pantalla[BAJA],10,10,302,187,FALSO);

            pinta_rectangulo(pantalla[BAJA],15,15,159,40,opcion==0);
            pinta_rectangulo(pantalla[BAJA],160,15,227,40,FALSO);
            pinta_rectangulo(pantalla[BAJA],228,15,297,40,opcion==0 && config.resolucion==BAJA);

            pinta_rectangulo(pantalla[BAJA],15,41,159,66,opcion==2);
            pinta_rectangulo(pantalla[BAJA],160,41,297,66,opcion==2);

            pinta_rectangulo(pantalla[BAJA],15,67,297,124,opcion==3);
            pinta_rectangulo(pantalla[BAJA],15,125,297,182,opcion==4);

            imprime_texto(pantalla[BAJA],posx[1],20,textos[1],sprites);
            imprime_texto(pantalla[BAJA],posx[2],20,textos[2],sprites);
            imprime_texto(pantalla[BAJA],posx[3],20,textos[3],sprites);
            imprime_texto(pantalla[BAJA],posx[5],46,textos[5],sprites);

            switch (config.idioma) {
            case ESPANOL:
                imprime_texto(pantalla[BAJA],posx[6],46,textos[6],sprites);
                break;

            case INGLES:
                imprime_texto(pantalla[BAJA],posx[7],46,textos[7],sprites);
                break;

            case FRANCES:
                imprime_texto(pantalla[BAJA],posx[8],46,textos[8],sprites);
                break;

            case ITALIANO:
                imprime_texto(pantalla[BAJA],posx[9],46,textos[9],sprites);
                break;

            case ALEMAN:
                imprime_texto(pantalla[BAJA],posx[10],46,textos[10],sprites);
                break;
            }

            imprime_texto(pantalla[BAJA],posx[11],88,textos[11],sprites);
            imprime_texto(pantalla[BAJA],posx[12],146,textos[12],sprites);

            rectfill(pantalla[BAJA],204,72,251,119,GRIS3);
            rectfill(pantalla[BAJA],204,130,251,177,GRIS3);

            pinta_potenciometro(pantalla[BAJA],204,72,config.v_digital,MAX_VOLUMEN+1,sprites);
            pinta_potenciometro(pantalla[BAJA],204,130,config.v_musica,MAX_VOLUMEN+1,sprites);
        }

        if (key[KEY_ESC]) {
            if (last_key_pressed != KEY_ESC) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, back);

                clear_keybuf();
                last_key_pressed = KEY_ESC;
                terminado=CIERTO;
            }
        } else if (key[KEY_ENTER]) {
            if (last_key_pressed != KEY_ENTER) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, go);

                clear_keybuf();
                last_key_pressed = KEY_ENTER;
                terminado=CIERTO;
            }
        } else if (key[KEY_UP]) {
            if (last_key_pressed != KEY_UP) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                opcion--;
                if (opcion==-1) opcion=4;
                clear_keybuf();

                if (config.resolucion==BAJA && opcion==1) {
                    opcion=0;
                }

                last_key_pressed = KEY_UP;
            }
        }

        else if (key[KEY_DOWN]) {
            if (last_key_pressed != KEY_DOWN) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                opcion++;
                if (opcion==5) opcion=0;
                if (config.resolucion==BAJA && opcion==1) {
                    opcion=2;
                }

                last_key_pressed = KEY_DOWN;
            }

        } else if (key[KEY_LEFT]) {
            switch (opcion) {
            case 0:
                if (!config.windowed) {
                    // Cambiar a no windowed
                    config.windowed = 1;

                    set_color_depth(16);
                    if ( (set_gfx_mode(GFX_AUTODETECT_WINDOWED,640,480,0,0)) != 0) {
                        set_color_depth(32);
                        if ( (set_gfx_mode(GFX_AUTODETECT_WINDOWED,640,480,0,0)) != 0) {
                            set_color_depth(24);
                            set_gfx_mode(GFX_AUTODETECT_WINDOWED,640,480,0,0);
                        }
                    }
                    last_key_pressed = KEY_LEFT;
                    huboCambios = CIERTO;
                }

            case 1:
                if (config.volcado==DOBLADO) {
                    config.volcado=SCANLINES;
                    huboCambios=CIERTO;
                    if (config.audio)
                        FSOUND_PlaySound (FSOUND_FREE, samp);
                }
                break;

            case 2: // Seleccin de idioma:

                if (last_key_pressed != KEY_LEFT) {

                    if (config.idioma==ESPANOL)
                        config.idioma=ALEMAN;
                    else
                        config.idioma--;

                    huboCambios=CIERTO;
                    if (config.audio)
                        FSOUND_PlaySound (FSOUND_FREE, samp);

                    if (config.resolucion==ALTA)
                        switch (config.idioma) {
                        case ESPANOL:
                            sprintf(textos[0],"CONFIGURACION");
                            sprintf(textos[1],"VENTANA");
                            sprintf(textos[2],"SI");
                            sprintf(textos[3],"NO");
                            sprintf(textos[4],"VOLCADO");
                            sprintf(textos[5],"IDIOMA");
                            sprintf(textos[11],"EFECTOS");
                            sprintf(textos[12],"MUSICA");
                            sprintf(textos[13],"W-VENTANA  F-PANTALLA COMPLETA");
                            break;
                        case INGLES:
                            sprintf(textos[0],"SET UP");
                            sprintf(textos[1],"WINDOWED");
                            sprintf(textos[2],"YES");
                            sprintf(textos[3],"NO");
                            sprintf(textos[4],"RENDER");
                            sprintf(textos[5],"LANGUAGE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIC");
                            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
                            break;
                        case FRANCES:
                            sprintf(textos[0],"CONFIGURER");
                            sprintf(textos[1],"WINDOWED");
                            sprintf(textos[2],"OUI");
                            sprintf(textos[3],"NON");
                            sprintf(textos[4],"RENDER");
                            sprintf(textos[5],"LANGUE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIQUE");
                            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
                            break;
                        case ITALIANO:
                            sprintf(textos[0],"SET UP");
                            sprintf(textos[1],"RESOLUTION");
                            sprintf(textos[2],"SI");
                            sprintf(textos[3],"NON");
                            sprintf(textos[4],"RENDER");
                            sprintf(textos[5],"LANGUAGE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIC");
                            sprintf(textos[13],"W-EN FINESTRA  F-COMPLETA");
                            break;
                        case ALEMAN:
                            sprintf(textos[0],"KONGUGIEREN");
                            sprintf(textos[1],"WINDOWED");
                            sprintf(textos[2],"JA");
                            sprintf(textos[3],"NEIN");
                            sprintf(textos[4],"RENDER");
                            sprintf(textos[5],"SPRACHE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIK");
                            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
                            break;
                        }
                    else
                        switch (config.idioma) {
                        case ESPANOL:
                            sprintf(textos[1],"RES");
                            sprintf(textos[2],"ALT");
                            sprintf(textos[3],"BAJ");
                            sprintf(textos[5],"IDIOMA");
                            sprintf(textos[11],"EFECTOS");
                            sprintf(textos[12],"MUSICA");
                            break;

                        case INGLES:
                            sprintf(textos[1],"RES");
                            sprintf(textos[2],"HI");
                            sprintf(textos[3],"LO");
                            sprintf(textos[5],"LANGUAGE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIC");
                            break;

                        case FRANCES:
                            sprintf(textos[1],"RES");
                            sprintf(textos[2],"HI");
                            sprintf(textos[3],"LO");
                            sprintf(textos[5],"LANGUE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIQUE");
                            break;

                        case ITALIANO:
                            sprintf(textos[1],"RES");
                            sprintf(textos[2],"HI");
                            sprintf(textos[3],"LO");
                            sprintf(textos[5],"IDIOMA");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSICA");
                            break;

                        case ALEMAN:
                            sprintf(textos[1],"ERG");
                            sprintf(textos[2],"HO");
                            sprintf(textos[3],"TI");
                            sprintf(textos[5],"SPRACHE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIK");
                            break;
                        }

                    if (config.resolucion==ALTA) {
                        posx[0]=320-(strlen(textos[0])<<3);
                        posx[1]=230-(strlen(textos[1])<<3);
                        posx[4]=230-(strlen(textos[4])<<3);
                        posx[5]=230-(strlen(textos[5])<<3);
                        posx[2]=401-(strlen(textos[2])<<3);
                        posx[3]=490-(strlen(textos[3])<<3);
                        posx[6]=445-(strlen(textos[6])<<3);
                        posx[7]=445-(strlen(textos[7])<<3);
                        posx[8]=445-(strlen(textos[8])<<3);
                        posx[9]=445-(strlen(textos[9])<<3);
                        posx[10]=445-(strlen(textos[10])<<3);
                        posx[11]=122;
                        posx[12]=122;
                        break;
                    } else {
                        posx[1]=87-(strlen(textos[1])<<3);
                        posx[5]=87-(strlen(textos[5])<<3);
                        posx[2]=194-(strlen(textos[2])<<3);
                        posx[3]=262-(strlen(textos[3])<<3);
                        posx[6]=228-(strlen(textos[6])<<3);
                        posx[7]=228-(strlen(textos[7])<<3);
                        posx[8]=228-(strlen(textos[8])<<3);
                        posx[9]=228-(strlen(textos[9])<<3);
                        posx[10]=228-(strlen(textos[10])<<3);
                        posx[11]=25;
                        posx[12]=25;
                    }
                }
                break;

            case 3:
                config.v_digital-=4;
                if (config.v_digital<0)
                    config.v_digital=0;
                huboCambios=CIERTO;

                FSOUND_SetSFXMasterVolume (config.v_digital);

                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                break;

            case 4:
                config.v_musica-=4;
                if (config.v_musica<0)
                    config.v_musica=0;

                FMUSIC_SetMasterVolume (musica, config.v_musica);

                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                huboCambios=CIERTO;
                break;
            }

            last_key_pressed = KEY_LEFT;

        } else if (key[KEY_RIGHT]) {
            switch (opcion) {
            case 0:
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                if (config.windowed) {
                    // Cambiar a no windowed
                    config.windowed = 0;

                    set_color_depth(16);
                    if ( (set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,640,480,0,0)) != 0) {
                        set_color_depth(32);
                        if ( (set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,640,480,0,0)) != 0) {
                            set_color_depth(24);
                            set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,640,480,0,0);
                        }
                    }
                    last_key_pressed = KEY_LEFT;
                    huboCambios = CIERTO;
                }

            case 1:
                if (config.volcado==SCANLINES) {
                    config.volcado=DOBLADO;
                    huboCambios=CIERTO;
                    if (config.audio)
                        FSOUND_PlaySound (FSOUND_FREE, samp);
                }
                break;

            case 2: // Seleccin de idioma:
                if (last_key_pressed != KEY_RIGHT) {
                    config.idioma++;
                    if (config.idioma>ALEMAN)
                        config.idioma=ESPANOL;

                    huboCambios=CIERTO;
                    if (config.audio)
                        FSOUND_PlaySound (FSOUND_FREE, samp);

                    if (config.resolucion==ALTA)
                        switch (config.idioma) {
                        case ESPANOL:
                            sprintf(textos[0],"CONFIGURACION");
                            sprintf(textos[1],"VENTANA");
                            sprintf(textos[2],"SI");
                            sprintf(textos[3],"NO");
                            sprintf(textos[4],"VOLCADO");
                            sprintf(textos[5],"IDIOMA");
                            sprintf(textos[11],"EFECTOS");
                            sprintf(textos[12],"MUSICA");
                            sprintf(textos[13],"W-VENTANA  F-PANTALLA COMPLETA");
                            break;
                        case INGLES:
                            sprintf(textos[0],"SET UP");
                            sprintf(textos[1],"WINDOWED");
                            sprintf(textos[2],"YES");
                            sprintf(textos[3],"NO");
                            sprintf(textos[4],"RENDER");
                            sprintf(textos[5],"LANGUAGE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIC");
                            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
                            break;
                        case FRANCES:
                            sprintf(textos[0],"CONFIGURER");
                            sprintf(textos[1],"WINDOWED");
                            sprintf(textos[2],"OUI");
                            sprintf(textos[3],"NON");
                            sprintf(textos[4],"RENDER");
                            sprintf(textos[5],"LANGUE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIQUE");
                            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
                            break;
                        case ITALIANO:
                            sprintf(textos[0],"SET UP");
                            sprintf(textos[1],"RESOLUTION");
                            sprintf(textos[2],"SI");
                            sprintf(textos[3],"NON");
                            sprintf(textos[4],"RENDER");
                            sprintf(textos[5],"LANGUAGE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIC");
                            sprintf(textos[13],"W-EN FINESTRA  F-COMPLETA");
                            break;
                        case ALEMAN:
                            sprintf(textos[0],"KONGUGIEREN");
                            sprintf(textos[1],"WINDOWED");
                            sprintf(textos[2],"JA");
                            sprintf(textos[3],"NEIN");
                            sprintf(textos[4],"RENDER");
                            sprintf(textos[5],"SPRACHE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIK");
                            sprintf(textos[13],"W-WINDOWED  F-FULLSCREEN");
                            break;
                        }
                    else
                        switch (config.idioma) {
                        case ESPANOL:
                            sprintf(textos[1],"RES");
                            sprintf(textos[2],"ALT");
                            sprintf(textos[3],"BAJ");
                            sprintf(textos[5],"IDIOMA");
                            sprintf(textos[11],"EFECTOS");
                            sprintf(textos[12],"MUSICA");
                            break;

                        case INGLES:
                            sprintf(textos[1],"RES");
                            sprintf(textos[2],"HI");
                            sprintf(textos[3],"LO");
                            sprintf(textos[5],"LANGUAGE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIC");
                            break;

                        case FRANCES:
                            sprintf(textos[1],"RES");
                            sprintf(textos[2],"HI");
                            sprintf(textos[3],"LO");
                            sprintf(textos[5],"LANGUE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIQUE");
                            break;

                        case ITALIANO:
                            sprintf(textos[1],"RES");
                            sprintf(textos[2],"AL");
                            sprintf(textos[3],"BA");
                            sprintf(textos[5],"IDIOMA");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSICA");
                            break;

                        case ALEMAN:
                            sprintf(textos[1],"ERG");
                            sprintf(textos[2],"HO");
                            sprintf(textos[3],"TI");
                            sprintf(textos[5],"SPRACHE");
                            sprintf(textos[11],"SFX");
                            sprintf(textos[12],"MUSIK");
                            break;
                        }

                    if (config.resolucion==ALTA) {
                        posx[0]=320-(strlen(textos[0])<<3);
                        posx[1]=230-(strlen(textos[1])<<3);
                        posx[4]=230-(strlen(textos[4])<<3);
                        posx[5]=230-(strlen(textos[5])<<3);
                        posx[2]=401-(strlen(textos[2])<<3);
                        posx[3]=490-(strlen(textos[3])<<3);
                        posx[6]=445-(strlen(textos[6])<<3);
                        posx[7]=445-(strlen(textos[7])<<3);
                        posx[8]=445-(strlen(textos[8])<<3);
                        posx[9]=445-(strlen(textos[9])<<3);
                        posx[10]=445-(strlen(textos[10])<<3);
                        posx[11]=122;
                        posx[12]=122;
                    } else {
                        posx[1]=87-(strlen(textos[1])<<3);
                        posx[5]=87-(strlen(textos[5])<<3);
                        posx[2]=194-(strlen(textos[2])<<3);
                        posx[3]=262-(strlen(textos[3])<<3);
                        posx[6]=228-(strlen(textos[6])<<3);
                        posx[7]=228-(strlen(textos[7])<<3);
                        posx[8]=228-(strlen(textos[8])<<3);
                        posx[9]=228-(strlen(textos[9])<<3);
                        posx[10]=228-(strlen(textos[10])<<3);
                        posx[11]=25;
                        posx[12]=25;
                    }
                }
                break;

            case 3:
                config.v_digital+=4;
                if (config.v_digital>MAX_VOLUMEN)
                    config.v_digital=MAX_VOLUMEN;

                FSOUND_SetSFXMasterVolume (config.v_digital);
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                huboCambios=CIERTO;
                break;

            case 4:

                config.v_musica+=4;
                if (config.v_musica>MAX_VOLUMEN)
                    config.v_musica=MAX_VOLUMEN;

                FMUSIC_SetMasterVolume (musica, config.v_musica);
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                huboCambios=CIERTO;
                break;
            }

            last_key_pressed = KEY_RIGHT;
        } else if (key [KEY_W && !config.windowed]) {
            if (last_key_pressed != KEY_W) {
                config.windowed = 1;

                if (config.resolucion == ALTA) {
                    set_color_depth(16);
                    if ( (set_gfx_mode(GFX_AUTODETECT_WINDOWED,640,480,0,0)) != 0) {
                        set_color_depth(32);
                        if ( (set_gfx_mode(GFX_AUTODETECT_WINDOWED,640,480,0,0)) != 0) {
                            set_color_depth(24);
                            set_gfx_mode(GFX_AUTODETECT_WINDOWED,640,480,0,0);
                        }
                    }
                } else {
                    set_color_depth(16);
                    if ( (set_gfx_mode(GFX_AUTODETECT_WINDOWED,320,200,0,0)) != 0) {
                        set_color_depth(32);
                        if ( (set_gfx_mode(GFX_AUTODETECT_WINDOWED,320,200,0,0)) != 0) {
                            set_color_depth(24);
                            set_gfx_mode(GFX_AUTODETECT_WINDOWED,320,200,0,0);
                        }
                    }
                }

                last_key_pressed = KEY_W;
                huboCambios = CIERTO;
            }
        } else if (key [KEY_F] && config.windowed) {
            if (last_key_pressed != KEY_F) {
                config.windowed = 0;

                if (config.resolucion == ALTA) {
                    set_color_depth(16);
                    if ( (set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,640,480,0,0)) != 0) {
                        set_color_depth(32);
                        if ( (set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,640,480,0,0)) != 0) {
                            set_color_depth(24);
                            set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,640,480,0,0);
                        }
                    }
                } else {
                    set_color_depth(16);
                    if ( (set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,320,200,0,0)) != 0) {
                        set_color_depth(32);
                        if ( (set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,320,200,0,0)) != 0) {
                            set_color_depth(24);
                            set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,320,200,0,0);
                        }
                    }
                }

                last_key_pressed = KEY_F;
                huboCambios = CIERTO;
            }
        } else
            last_key_pressed = 0;

        co1++;
        co2++;

        if (co1==50) co1=0;
        if (co2==20) co2=0;

        while (contador_60Hz<1);
        contador_60Hz=0;

        blit(pantalla[config.resolucion],screen,0,0,0,0,SCREEN_W,SCREEN_H);
    }

    if (huboCambios) {
        pf=fopen("Phantomas.cfg","wb");
        fwrite(&config,sizeof(CONFIGURACIONES),1,pf);
        fclose(pf);
    }

    *c1=co1;
    *c2=co2;
}

short submenu_password(int *c1, int *c2, BITMAP *fondo [], BITMAP *letras [], BITMAP *espejo[], BITMAP *pantalla[], BITMAP *sprites[],FSOUND_SAMPLE *samp,FSOUND_SAMPLE *go,FSOUND_SAMPLE *back) {
    int co1,co2,xx,yy,posx[3];
    char textos[3][20];
    short opcion=0,res=0;
    LOGICO terminado=FALSO,fdc=FALSO;
    char clave[5]={0,0,0,0,0};
    int tecla;
    char pos=0,letra;

    co1=*c1;
    co2=*c2;

    last_key_pressed = KEY_ENTER;

    switch (config.idioma) {
    case ESPANOL:
        sprintf(textos[0],"JUGAR");
        sprintf(textos[1],"FASE 1");
        sprintf(textos[2],"CLAVE");
        break;

    case INGLES:
        sprintf(textos[0],"PLAY");
        sprintf(textos[1],"LEVEL 1");
        sprintf(textos[2],"PASSWORD");
        break;

    case FRANCES:
        sprintf(textos[0],"JOUER");
        sprintf(textos[1],"PHASE 1");
        sprintf(textos[2],"PASSWORD");
        break;

    case ITALIANO:
        sprintf(textos[0],"GIOCARE");
        sprintf(textos[1],"LIVELLO 1");
        sprintf(textos[2],"PAR.DACESO");
        break;

    case ALEMAN:
        sprintf(textos[0],"SPIELEN");
        sprintf(textos[1],"EBENE 1");
        sprintf(textos[2],"PASSWORT");
        break;
    }

    xx=SCREEN_W/2-128;

    if (config.resolucion==BAJA)
        yy=SCREEN_H/2-69;
    else
        yy=281;

    posx[0]=SCREEN_W/2-strlen(textos[0])*8;
    posx[1]=SCREEN_W/2-strlen(textos[1])*8;
    posx[2]=xx+84-strlen(textos[2])*8;

    while (!terminado) {
        if (config.resolucion==ALTA)
            efecto_letras(co1,co2,fondo[ALTA],letras[ALTA],espejo[ALTA],pantalla[ALTA]);
        else
            efecto_letras_baja(co1,co2,fondo[BAJA],letras[BAJA],espejo[BAJA],pantalla[BAJA]);

        pinta_rectangulo(pantalla[config.resolucion],xx,yy,xx+257,yy+36,FALSO);
        pinta_rectangulo(pantalla[config.resolucion],xx,yy+41,xx+257,yy+138,FALSO);
        pinta_rectangulo(pantalla[config.resolucion],xx+10,yy+51,xx+247,yy+87,opcion==0);
        pinta_rectangulo(pantalla[config.resolucion],xx+10,yy+92,xx+158,yy+128,opcion==1);
        pinta_rectangulo(pantalla[config.resolucion],xx+163,yy+92,xx+247,yy+128,opcion==1);

        imprime_texto(pantalla[config.resolucion],posx[0],yy+10,textos[0],sprites);
        imprime_texto(pantalla[config.resolucion],posx[1],yy+61,textos[1],sprites);
        imprime_texto(pantalla[config.resolucion],posx[2],yy+102,textos[2],sprites);

        if (key[KEY_ESC]) {
            if (last_key_pressed != KEY_ESC) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, back);

                clear_keybuf();
                terminado=CIERTO;

                last_key_pressed = KEY_ESC;
            }
        } else if (key[KEY_DOWN]) {
            if (last_key_pressed != KEY_DOWN) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                opcion++;

                if (opcion==2)
                    opcion=0;

                clear_keybuf();
                last_key_pressed = KEY_DOWN;
            }
        } else if (key[KEY_UP]) {
            if (last_key_pressed != KEY_UP) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                opcion--;

                if (opcion<0)
                    opcion=1;

                clear_keybuf();
                last_key_pressed = KEY_UP;
            }
        } else if (key[KEY_ENTER]) {
            if (last_key_pressed != KEY_ENTER) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, go);

                clear_keybuf();
                last_key_pressed = KEY_ENTER;

                switch (opcion) {
                case 0:
                    res=9;				// Comenzar por el level 1 fase 1 (8*level+fase)
                    terminado=CIERTO;
                    break;

                case 1:
                    // Introducir clave desde el teclado:
                    /* AKI */
                    res=CLAVE_decodifica_clave(clave);
                    if (res!=0)
                        terminado=CIERTO;
                    else {
                        if (config.audio)
                            FSOUND_PlaySound (FSOUND_FREE, back);
                    }
                    break;
                }
            }
        } else if (keypressed()) {
            if (opcion == 1) {
                tecla=readkey();
                if (last_key_pressed != tecla) {
                    if ((tecla>>8)==KEY_BACKSPACE) {
                        pos--;
                        if (pos<0)
                            pos=0;
                        clave[pos]=0;
                    } else {
                        letra=tecla&0xFF;
                        if (pos<4 && letra>32)
                            clave[pos]=toupper(letra);
                        pos++;
                        if (pos>3)
                            pos=4;
                    }

                    last_key_pressed = tecla;
                }
            }
        } else
            last_key_pressed = 0;

        imprime_texto(pantalla[config.resolucion],xx+237-pos*16,yy+102,clave,sprites);

        co1++;
        co2++;
        if (co1==50) co1=0;
        if (co2==20) co2=0;

        while (contador_60Hz<1);
        contador_60Hz=0;

        blit(pantalla[config.resolucion],screen,0,0,0,0,SCREEN_W,SCREEN_H);
    }

    *c1=co1;
    *c2=co2;

    return res;
}

int busca_archivo(ESTRUCTURA_LISTA_ARCHIVOS dir,char caracter,int anterior) {
    int opcion=anterior;
    int i;

    for (i=0;i<dir.numero_archivos;i++) {
        if (dir.archivos[i].nombre_archivo[0] == caracter ||
                dir.archivos[i].nombre_archivo[0] == caracter-32) {
            opcion=i;
            break;
        }
    }

    return opcion;
}

int submenu_carga_fase(int *c1, int *c2, BITMAP *fondo [], BITMAP *letras [], BITMAP *espejo[], BITMAP *pantalla[], BITMAP *sprites[],FSOUND_SAMPLE *samp,FSOUND_SAMPLE *go,FSOUND_SAMPLE *back) {
    int co1,co2,xx,yy,posx[2];
    char textos[2][20];
    short opcion=0,res=0;
    LOGICO terminado=FALSO,fdc=FALSO;
    int tecla;
    ESTRUCTURA_LISTA_ARCHIVOS directorio;
    BITMAP *lista;
    char cadena[13];
    int ini,fin;
    int off=0,i,j;
    int rosa=makecol(255,0,255);
    BITMAP *fondo_boton;

    co1=*c1;
    co2=*c2;

    switch (config.idioma) {
    case ESPANOL:
        sprintf(textos[0],"FASE");
        sprintf(textos[1],"VACIO");
        break;
    case INGLES:
        sprintf(textos[0],"LEVEL");
        sprintf(textos[1],"EMPTY");
        break;
    case FRANCES:
        sprintf(textos[0],"PHASE");
        sprintf(textos[1],"VIDE");
        break;
    case ITALIANO:
        sprintf(textos[0],"LIVELLO");
        sprintf(textos[1],"VUOTO");
        break;
    case ALEMAN:
        sprintf(textos[0],"EBENE");
        sprintf(textos[1],"EMPTY");
        break;
    }

    xx=SCREEN_W/2-106;
    if (config.resolucion==BAJA)
        yy=SCREEN_H/2-95;
    else
        yy=240;

    posx[0]=SCREEN_W/2-strlen(textos[0])*8;
    posx[1]=SCREEN_W/2-strlen(textos[1])*8;

    carga_directorio("MAP/*.ph3",&directorio);

    lista=create_bitmap(192,directorio.numero_archivos*16);
    fondo_boton=create_bitmap(192,16);

    while (!terminado) {
        if (config.resolucion==ALTA)
            efecto_letras(co1,co2,fondo[ALTA],letras[ALTA],espejo[ALTA],pantalla[ALTA]);
        else
            efecto_letras_baja(co1,co2,fondo[BAJA],letras[BAJA],espejo[BAJA],pantalla[BAJA]);

        pinta_rectangulo(pantalla[config.resolucion],xx,yy,xx+212,yy+36,FALSO);
        pinta_rectangulo(pantalla[config.resolucion],xx,yy+41,xx+212,yy+189,FALSO);

        imprime_texto(pantalla[config.resolucion],posx[0],yy+10,textos[0],sprites);

        if (directorio.numero_archivos==0) {
            imprime_texto(pantalla[config.resolucion],posx[1],yy+51,textos[1],sprites);
        } else {
            clear_to_color(lista,rosa);

            // Pintar el tileado en la posicin que sea.
            for (i=0;i<2;i++)
                for (j=0;j<14;j++) {
                    blit(sprites[169],fondo_boton,0,0,-16+off+(j<<4),-off+(i<<4),16,16);
                }

            off++;
            if (off==16)
                off=0;

            blit(fondo_boton,lista,0,0,0,opcion<<4,192,16);

            for (i=0;i<directorio.numero_archivos;i++) {
                sprintf(cadena,"%s",directorio.archivos[i].nombre_archivo);
                imprime_texto(lista,96-(strlen(cadena)<<3),i<<4,cadena,sprites);
            }
            // Hacer el blit correcto:

            if (opcion<8) {
                ini=0;
                fin=my_max((directorio.numero_archivos)<<4, 128);
            } else {
                ini=(opcion-7)<<4;
                fin=opcion<<4;
            }

            masked_blit(lista,pantalla[config.resolucion],0,ini,xx+10,yy+51,192,my_min(directorio.numero_archivos,8)<<4);
        }

        if (key[KEY_ESC]) {
            if (last_key_pressed != KEY_ESC) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, back);

                clear_keybuf();
                last_key_pressed = KEY_ESC;
                terminado=CIERTO;
            }
        } else if (key[KEY_DOWN]) {
            if (last_key_pressed != KEY_DOWN) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                if (opcion<directorio.numero_archivos-1)
                    opcion++;
                clear_keybuf();
                last_key_pressed = KEY_DOWN;
            }
        } else if (key[KEY_UP]) {
            if (last_key_pressed != KEY_UP) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                if (opcion>0)
                    opcion--;
                clear_keybuf();
                last_key_pressed = KEY_UP;
            }
        } else if (key[KEY_ENTER]) {
            if (last_key_pressed != KEY_ENTER) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, go);

                clear_keybuf();
                while (key[KEY_ENTER]);
                sprintf(cadena,"%s",directorio.archivos[opcion].nombre_archivo);

                FMUSIC_StopSong (musica);
                //stop_mod();

                i=juego(cadena,0);

                if (config.resolucion==ALTA)
                    efecto_letras(co1,co2,fondo[ALTA],letras[ALTA],espejo[ALTA],pantalla[ALTA]);
                else
                    efecto_letras_baja(co1,co2,fondo[BAJA],letras[BAJA],espejo[BAJA],pantalla[BAJA]);

                efectos(pantalla[config.resolucion]);

                FMUSIC_PlaySong (musica);
                //play_mod(musica,TRUE);

                clear_keybuf();
                while (keypressed());
                if (i!=GAMEOVER)
                    terminado=CIERTO;
                last_key_pressed = KEY_ENTER;
            }
        } else if (keypressed()) {
            tecla=readkey() & 0xFF;
            if ((tecla>='a'  && tecla<='z') || (tecla>='A'  && tecla<='Z')) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                opcion=busca_archivo(directorio,(char)tecla,opcion);
                clear_keybuf();
            }
        } else
            last_key_pressed = 0;

        co1++;
        co2++;
        if (co1==50) co1=0;
        if (co2==20) co2=0;

        while (contador_60Hz<1);
        contador_60Hz=0;

        blit(pantalla[config.resolucion],screen,0,0,0,0,SCREEN_W,SCREEN_H);
    }

    libera_directorio(directorio);

    destroy_bitmap(lista);
    destroy_bitmap(fondo_boton);

    *c1=co1;
    *c2=co2;
}

int menu(void) {
    int co1=0;			// Contador para el efecto
    int co2=10;
    BITMAP *fondo[2];
    BITMAP *letras[2];
    BITMAP *espejo[2];
    PALETTE pal;
    int i,j;
    BITMAP *pantalla[2];
    BITMAP *sprites[240];
    LOGICO terminado=FALSO;
    char jugar[10],fase[10],cfg[10],salir[10],principal[10];
    short _jugar,_fase,_cfg,_salir,_principal;
    short opcion=0;
    BITMAP *fondo_boton=create_bitmap(171,27);
    short off=0;
    char hkey[4];
    int salida=-1;
    FSOUND_SAMPLE *samp;
    FSOUND_SAMPLE *back;
    FSOUND_SAMPLE *go;

    switch (config.idioma) {
    case ESPANOL:
        sprintf(jugar,"jUGAR");
        sprintf(fase,"fASE");
        sprintf(cfg,"cONFIGURAR");
        sprintf(salir,"sALIR");
        sprintf(principal,"PRINCIPAL");
        hkey[0]=KEY_J;
        hkey[1]=KEY_F;
        hkey[2]=KEY_C;
        hkey[3]=KEY_S;
        break;
    case INGLES:
        sprintf(jugar,"pLAY");
        sprintf(fase,"lEVEL");
        sprintf(cfg,"sET UP");
        sprintf(salir,"eXIT");
        sprintf(principal,"MAIN MENU");
        hkey[0]=KEY_P;
        hkey[1]=KEY_L;
        hkey[2]=KEY_S;
        hkey[3]=KEY_E;
        break;
    case FRANCES:
        sprintf(jugar,"jOUER");
        sprintf(fase,"pHASE");
        sprintf(cfg,"cONFIGURER");
        sprintf(salir,"sORTIR");
        sprintf(principal,"PRINCIPAL");
        hkey[0]=KEY_J;
        hkey[1]=KEY_P;
        hkey[2]=KEY_C;
        hkey[3]=KEY_S;
        break;
    case ITALIANO:
        sprintf(jugar,"gIOCARE");
        sprintf(fase,"lIVELLO");
        sprintf(cfg,"IMPOSTAZIONI");
        sprintf(salir,"USCHIRE");
        sprintf(principal,"PRINCIPAL");
        hkey[0]=KEY_G;
        hkey[1]=KEY_L;
        hkey[2]=KEY_I;
        hkey[3]=KEY_U;
        break;
    case ALEMAN:
        sprintf(jugar,"sPIELEN");
        sprintf(fase,"eBENE");
        sprintf(cfg,"kONGUGIEREN");
        sprintf(salir,"zUERUCK");
        sprintf(principal,"HAUPT");
        hkey[0]=KEY_S;
        hkey[1]=KEY_E;
        hkey[2]=KEY_K;
        hkey[3]=KEY_Z;
        break;
    }

    _jugar=(SCREEN_W>>1)-(strlen(jugar)<<3);
    _fase=(SCREEN_W>>1)-(strlen(fase)<<3);
    _cfg=(SCREEN_W>>1)-(strlen(cfg)<<3);
    _salir=(SCREEN_W>>1)-(strlen(salir)<<3);
    _principal=(SCREEN_W>>1)-(strlen(principal)<<3);

    for (i=0;i<240;i++)
        sprites[i]=create_bitmap(16,16);

    for (i=0;i<50;i++) {
        senos1[i]=5*sin(2*M_PI*i/50);
        if (i<20)
            senos2[i]=10*sin(2*M_PI*i/20);
    }

    ROSA=makecol(255,0,255);

    pantalla[ALTA]=create_bitmap(640,480);
    fondo[ALTA]=create_bitmap(640,480);
    fondo[ALTA]=load_jpg("GFX/fondo_menu.jpg",pal);
    hline(fondo[ALTA],0,479,639,0);
    espejo[ALTA]=create_bitmap(640,193);
    letras[ALTA]=create_bitmap(640,193);
    letras[ALTA]=load_bitmap("GFX/rotulo.pcx",pal);

    pantalla[BAJA]=create_bitmap(320,200);
    fondo[BAJA]=create_bitmap(320,200);
    fondo[BAJA]=load_bitmap("GFX/fondo_menu_baja.pcx",pal);
    espejo[BAJA]=create_bitmap(320, 72);
    letras[BAJA]=create_bitmap(320, 72);
    letras[BAJA]=load_bitmap("GFX/rotulo_baja.pcx",pal);

    if (config.resolucion==ALTA)
        efecto_letras(co1,co2,fondo[ALTA],letras[ALTA],espejo[ALTA],pantalla[ALTA]);
    else
        efecto_letras_baja(co1,co2,fondo[BAJA],letras[BAJA],espejo[BAJA],pantalla[BAJA]);

    efectos(pantalla[config.resolucion]);

    contador_60Hz=0;

    recorta_tiles("GFX/menu_spr.pcx",sprites);

    clear(pantalla[ALTA]);
    clear(pantalla[BAJA]);

    if (config.audio) {
        samp =	FSOUND_Sample_Load (FSOUND_FREE, "sfx/ting.wav", FSOUND_LOOP_OFF | FSOUND_2D, 0, 0);
        back =	FSOUND_Sample_Load (FSOUND_FREE, "sfx/back.wav", FSOUND_LOOP_OFF | FSOUND_2D, 0, 0);
        go =	FSOUND_Sample_Load (FSOUND_FREE, "sfx/go.wav", FSOUND_LOOP_OFF | FSOUND_2D, 0, 0);

        FSOUND_SetSFXMasterVolume (config.v_digital);

        musica = FMUSIC_LoadSong ("sfx/menu.xm");

        FMUSIC_SetMasterVolume (musica, config.v_musica);
        FMUSIC_PlaySong (musica);
    }

    while (!terminado) {
        if (config.resolucion==ALTA)
            efecto_letras(co1,co2,fondo[ALTA],letras[ALTA],espejo[ALTA],pantalla[ALTA]);
        else
            efecto_letras_baja(co1,co2,fondo[BAJA],letras[BAJA],espejo[BAJA],pantalla[BAJA]);

        co1++;
        co2++;
        if (co1==50) co1=0;
        if (co2==20) co2=0;

        for (i=0;i<3;i++)
            for (j=0;j<12;j++) { //168
                blit(sprites[168],fondo_boton,0,0,-16+off+(j<<4),-off+(i<<4),16,16);
            }

        off=off+1;
        if (off==16) off=0;

        if (config.resolucion==ALTA) {
            blit(fondo_boton,pantalla[ALTA],0,0,235,296+opcion+(opcion<<5)+(opcion<<3),171,27);

            pinta_rectangulo(pantalla[ALTA],205,240,435,276,FALSO);
            pinta_rectangulo(pantalla[ALTA],205,281,435,460,FALSO);
            pinta_rectangulo(pantalla[ALTA],230,291,410,327,opcion==0);
            pinta_rectangulo(pantalla[ALTA],230,332,410,368,opcion==1);
            pinta_rectangulo(pantalla[ALTA],230,373,410,409,opcion==2);
            pinta_rectangulo(pantalla[ALTA],230,414,410,450,opcion==3);

            imprime_texto(pantalla[ALTA],_principal,250,principal,sprites);
            imprime_texto(pantalla[ALTA],_jugar,301,jugar,sprites);
            imprime_texto(pantalla[ALTA],_fase,342,fase,sprites);
            imprime_texto(pantalla[ALTA],_cfg,383,cfg,sprites);
            imprime_texto(pantalla[ALTA],_salir,424,salir,sprites);
        } else {
            blit(fondo_boton,pantalla[BAJA],0,0,75,25+opcion+(opcion<<5)+(opcion<<3),171,27);

            pinta_rectangulo(pantalla[BAJA],45,10,275,189,FALSO);
            pinta_rectangulo(pantalla[BAJA], 70, 20,250, 56,opcion==0);
            pinta_rectangulo(pantalla[BAJA], 70, 61,250, 97,opcion==1);
            pinta_rectangulo(pantalla[BAJA], 70,102,250,138,opcion==2);
            pinta_rectangulo(pantalla[BAJA], 70,143,250,179,opcion==3);

            imprime_texto(pantalla[BAJA],_jugar,30,jugar,sprites);
            imprime_texto(pantalla[BAJA],_fase,71,fase,sprites);
            imprime_texto(pantalla[BAJA],_cfg,112,cfg,sprites);
            imprime_texto(pantalla[BAJA],_salir,153,salir,sprites);
        }

        blit(pantalla[config.resolucion],screen,0,0,0,0,SCREEN_W,SCREEN_H);

        if (key[KEY_ESC]) {
            if (last_key_pressed != KEY_ESC) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, back);

                salida=-1;
                terminado=CIERTO;
            }
        } else if (key[KEY_UP]) {
            if (last_key_pressed != KEY_UP) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                opcion--;
                if (opcion==-1) opcion=3;
                clear_keybuf();
                last_key_pressed = KEY_UP;
            }
        } else if (key[KEY_DOWN]) {
            if (last_key_pressed != KEY_DOWN) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, samp);

                opcion++;
                if (opcion==4) opcion=0;

                clear_keybuf();
                last_key_pressed = KEY_DOWN;
            }
        } else if (key[KEY_ENTER]) {
            if (last_key_pressed != KEY_ENTER) {
                if (config.audio)
                    FSOUND_PlaySound (FSOUND_FREE, go);

                clear_keybuf();
                last_key_pressed = KEY_ENTER;

                switch (opcion) {
                case 0:
                    salida=submenu_password(&co1,&co2,fondo,letras,espejo,pantalla,sprites,samp,go,back);
                    if (salida!=0)
                        terminado=CIERTO;
                    break;

                case 1:
                    submenu_carga_fase(&co1,&co2,fondo,letras,espejo,pantalla,sprites,samp,go,back);
                    break;

                case 2:
                    submenu_config(&co1,&co2,fondo,letras,espejo,pantalla,sprites,samp,go,back);

                    switch (config.idioma) {
                    case ESPANOL:
                        sprintf(jugar,"jUGAR");
                        sprintf(fase,"fASE");
                        sprintf(cfg,"cONFIGURAR");
                        sprintf(salir,"sALIR");
                        sprintf(principal,"PRINCIPAL");
                        hkey[0]=KEY_J;
                        hkey[1]=KEY_F;
                        hkey[2]=KEY_C;
                        hkey[3]=KEY_S;
                        break;

                    case INGLES:
                        sprintf(jugar,"pLAY");
                        sprintf(fase,"lEVEL");
                        sprintf(cfg,"sET UP");
                        sprintf(salir,"eXIT");
                        sprintf(principal,"MAIN MENU");
                        hkey[0]=KEY_P;
                        hkey[1]=KEY_L;
                        hkey[2]=KEY_S;
                        hkey[3]=KEY_E;
                        break;

                    case FRANCES:
                        sprintf(jugar,"jOUER");
                        sprintf(fase,"pHASE");
                        sprintf(cfg,"cONFIGURER");
                        sprintf(salir,"sORTIR");
                        sprintf(principal,"PRINCIPAL");
                        hkey[0]=KEY_J;
                        hkey[1]=KEY_P;
                        hkey[2]=KEY_C;
                        hkey[3]=KEY_S;
                        break;

                    case ITALIANO:
                        sprintf(jugar,"gIOCARE");
                        sprintf(fase,"lIVELLO");
                        sprintf(cfg,"IMPOSTAZIONI");
                        sprintf(salir,"USCHIRE");
                        sprintf(principal,"PRINCIPAL");
                        hkey[0]=KEY_G;
                        hkey[1]=KEY_L;
                        hkey[2]=KEY_I;
                        hkey[3]=KEY_U;
                        break;

                    case ALEMAN:
                        sprintf(jugar,"sPIELEN");
                        sprintf(fase,"eBENE");
                        sprintf(cfg,"kONGUGIEREN");
                        sprintf(salir,"zUERUCK");
                        sprintf(principal,"HAUPT");
                        hkey[0]=KEY_S;
                        hkey[1]=KEY_E;
                        hkey[2]=KEY_K;
                        hkey[3]=KEY_Z;
                        break;
                    }

                    _jugar=(SCREEN_W>>1)-(strlen(jugar)<<3);
                    _fase=(SCREEN_W>>1)-(strlen(fase)<<3);
                    _cfg=(SCREEN_W>>1)-(strlen(cfg)<<3);
                    _salir=(SCREEN_W>>1)-(strlen(salir)<<3);
                    _principal=(SCREEN_W>>1)-(strlen(principal)<<3);
                    break;
                case 3:
                    salida=-1;
                    terminado=CIERTO;
                    break;
                }
            }
        } else if (key[hkey[0]]) {
            if (config.audio)
                FSOUND_PlaySound (FSOUND_FREE, go);

            clear_keybuf();

            last_key_pressed = hkey[0];

            opcion=0;
            salida=submenu_password(&co1,&co2,fondo,letras,espejo,pantalla,sprites,samp,go,back);
            if (salida!=0)
                terminado=CIERTO;
        }

        else if (key[hkey[1]]) {
            if (config.audio)
                FSOUND_PlaySound (FSOUND_FREE, go);

            clear_keybuf();

            last_key_pressed = hkey[1];

            opcion=1;
            submenu_carga_fase(&co1,&co2,fondo,letras,espejo,pantalla,sprites,samp,go,back);
        }

        else if (key[hkey[2]]) {
            if (config.audio)
                FSOUND_PlaySound (FSOUND_FREE, go);

            clear_keybuf();

            last_key_pressed = hkey[2];

            opcion=2;
            submenu_config(&co1,&co2,fondo,letras,espejo,pantalla,sprites,samp,go,back);

            /*    		while (key [KEY_ENTER])
                        {
                            if(config.resolucion==ALTA)
                    			efecto_letras(co1,co2,fondo[ALTA],letras[ALTA],espejo[ALTA],pantalla[ALTA]);
                    		else
                    			efecto_letras_baja(co1,co2,fondo[BAJA],letras[BAJA],espejo[BAJA],pantalla[BAJA]);
                        }
            */
            clear_keybuf();
            last_key_pressed = KEY_ENTER;

            switch (config.idioma)

            {
            case ESPANOL:
                sprintf(jugar,"jUGAR");
                sprintf(fase,"fASE");
                sprintf(cfg,"cONFIGURAR");
                sprintf(salir,"sALIR");
                sprintf(principal,"PRINCIPAL");
                hkey[0]=KEY_J;
                hkey[1]=KEY_F;
                hkey[2]=KEY_C;
                hkey[3]=KEY_S;
                break;

            case INGLES:
                sprintf(jugar,"pLAY");
                sprintf(fase,"lEVEL");
                sprintf(cfg,"sET UP");
                sprintf(salir,"eXIT");
                sprintf(principal,"MAIN MENU");
                hkey[0]=KEY_P;
                hkey[1]=KEY_L;
                hkey[2]=KEY_S;
                hkey[3]=KEY_E;
                break;

            case FRANCES:
                sprintf(jugar,"jOUER");
                sprintf(fase,"pHASE");
                sprintf(cfg,"cONFIGURER");
                sprintf(salir,"sORTIR");
                sprintf(principal,"PRINCIPAL");
                hkey[0]=KEY_J;
                hkey[1]=KEY_P;
                hkey[2]=KEY_C;
                hkey[3]=KEY_S;
                break;

            case ITALIANO:
                sprintf(jugar,"gIOCARE");
                sprintf(fase,"lIVELLO");
                sprintf(cfg,"IMPOSTAZIONI");
                sprintf(salir,"USCHIRE");
                sprintf(principal,"PRINCIPAL");
                hkey[0]=KEY_G;
                hkey[1]=KEY_L;
                hkey[2]=KEY_I;
                hkey[3]=KEY_U;
                break;

            case ALEMAN:
                sprintf(jugar,"sPIELEN");
                sprintf(fase,"eBENE");
                sprintf(cfg,"kONGUGIEREN");
                sprintf(salir,"zUERUCK");
                sprintf(principal,"HAUPT");
                hkey[0]=KEY_S;
                hkey[1]=KEY_E;
                hkey[2]=KEY_K;
                hkey[3]=KEY_Z;
                break;
            }

            _jugar=(SCREEN_W>>1)-(strlen(jugar)<<3);
            _fase=(SCREEN_W>>1)-(strlen(fase)<<3);
            _cfg=(SCREEN_W>>1)-(strlen(cfg)<<3);
            _salir=(SCREEN_W>>1)-(strlen(salir)<<3);
            _principal=(SCREEN_W>>1)-(strlen(principal)<<3);
        }

        else if (key[hkey[3]]) {
            clear_keybuf();
            while (keypressed());
            opcion=3;
            salida=-1;
            terminado=CIERTO;
        } else
            last_key_pressed = 0;

        while (contador_60Hz<1);
        contador_60Hz=0;
    }

    if (config.audio) {
        FMUSIC_StopSong (musica);
        FMUSIC_FreeSong (musica);
    }

    FSOUND_Sample_Free (samp);
    FSOUND_Sample_Free (back);
    FSOUND_Sample_Free (go);

    for (i=0;i<2;i++) {
        destroy_bitmap(fondo[i]);
        destroy_bitmap(letras[i]);
        destroy_bitmap(espejo[i]);
        destroy_bitmap(pantalla[i]);
    }

    for (i=0;i<240;i++)
        destroy_bitmap(sprites[i]);

    return(salida);
}
