//#define ALLEGRO_STATICLINK

#include <string.h>

#include <allegro.h>
#include "defs.h"
#include "texto.h"
#include "temporizadores.h"

#define TOPX 80
#define TOPY 368

void imprime_texto(BITMAP *puntero, short x, short y, char *texto, BITMAP *sprites[]) {
    unsigned char alfabeto[127] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                                   239,0,0,0,0,0,0,0,0,0,0,234,236,233,0,223,224,225,226,227,228,229,230,
                                   231,232,235,0,0,0,0,238,237,194,195,196,197,198,199,200,201,202,203,204,
                                   205,206,207,209,210,211,212,213,214,215,218,219,220,221,222,0,0,0,0,0,
                                   0,0,0,146,0,150,145,0,0,0,144,152,149,0,208,0,148,0,0,147,0,0,0,0,0,0,151,0,0,0,0
                                  };
    int i;
    int l;

    l = strlen(texto);

    for (i=0;i<l;i++)
        if (alfabeto[texto[i]]!=0)
            draw_sprite(puntero,sprites[alfabeto[texto[i]]],x+(i<<4),y);

}

void imprime_texto_trans(BITMAP *puntero, short x, short y, char *texto, BITMAP *sprites[]) {
    unsigned char alfabeto[127] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                                   239,0,0,0,0,0,0,0,0,0,0,234,236,233,0,223,224,225,226,227,228,229,230,
                                   231,232,235,0,0,0,0,238,237,194,195,196,197,198,199,200,201,202,203,204,
                                   205,206,207,209,210,211,212,213,214,215,218,219,220,221,222,0,0,0,0,0,
                                   0,0,0,146,0,150,145,0,0,0,144,152,149,0,208,0,148,0,0,147,0,0,0,0,0,0,151,0,0,0,0
                                  };
    int i;
    int l;

    l = strlen(texto);

    for (i=0;i<l;i++)
        if (alfabeto[texto[i]]!=0)
            draw_trans_sprite(puntero,sprites[alfabeto[texto[i]]],x+(i<<4),y);

}

void typewriter(char *texto, BITMAP *sprites []) {
    unsigned char alfabeto[127] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                                   239,0,0,0,0,0,0,0,0,0,0,234,236,233,0,223,224,225,226,227,228,229,230,
                                   231,232,235,0,0,0,0,238,237,194,195,196,197,198,199,200,201,202,203,204,
                                   205,206,207,209,210,211,212,213,214,215,218,219,220,221,222,0,0,0,0,0,
                                   0,0,0,146,0,150,145,0,0,0,144,152,149,0,208,0,148,0,0,147,0,0,0,0,0,0,151,0,0,0,0
                                  };

	int i, l;
	int x = 8, y = 8;
	short skip = 0;
	BITMAP *buffer;
	BITMAP *remember;
	
	buffer = create_bitmap (480, 80);
	remember = create_bitmap (480, 80);
	blit (screen, buffer, TOPX, TOPY, 0, 0, 480, 80);
	blit (screen, remember, TOPX, TOPY, 0, 0, 480, 80);
	fblend_rect_trans (buffer, 0, 0, 480, 80, 0, 192);
	rect (buffer, 0, 0, 479, 79, makecol (255, 255, 255));
	
	l = strlen (texto);
	contador_60Hz = 0;
	
	clear_keybuf ();
	
	for (i = 0; i < l; i ++) {
		if (alfabeto[texto[i]]!=0)
		draw_sprite (buffer, sprites[alfabeto[texto[i]]], x, y);
		x += 16;
		if (x >= 472) {
			x = 8;
			y += 16;
		}

		if (!skip) {		
			blit (buffer, screen, 0, 0, TOPX, TOPY, 480, 80);
				
			while (contador_60Hz < 4);
			contador_60Hz = 0;
		}
		
		if (keypressed())
			skip = 1;
	}
	blit (buffer, screen, 0, 0, TOPX, TOPY, 480, 80);
	
	clear_keybuf ();
	while (!keypressed ());
	
	blit (remember, screen, 0, 0, TOPX, TOPY, 480, 80);
	
	destroy_bitmap (buffer);
	destroy_bitmap (remember);
}
